package com.mmc.iuav.user.service;

import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.entity.UserPartnerDO;
import com.mmc.iuav.user.model.qo.UserPartnerQO;
import com.mmc.iuav.user.model.vo.UserPartnerVO;

/**
 * (UserPartner)表服务接口
 *
 * @author makejava
 * @since 2024-03-18 18:09:51
 */
public interface UserPartnerService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserPartnerVO queryById(Integer id);

    ResultBody queryByPage(UserPartnerQO userPartner);

    /**
     * 新增数据
     *
     * @param userPartnerDO 实例对象
     * @return 实例对象
     */
    UserPartnerDO insertPartner(UserPartnerDO userPartnerDO);

    /**
     * 修改数据
     *
     * @param userPartnerDO 实例对象
     * @return 实例对象
     */
    ResultBody update(UserPartnerDO userPartnerDO);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    ResultBody deleteById(Integer id);

}
